/// The provided timestamp string is not in valid ISO-8601 format
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidTimestamp {
    #[builder(into)]
    #[serde(rename = "timestamp")]
    timestamp: String,
}
impl InvalidTimestamp {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(timestamp: impl Into<String>) -> Self {
        Self::builder().timestamp(timestamp).build()
    }
    #[inline]
    pub fn timestamp(&self) -> &str {
        &*self.timestamp
    }
}
impl conjure_error::ErrorType for InvalidTimestamp {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Video:InvalidTimestamp"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["timestamp"]
    }
}
